summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorRené de Hesselle <dehesselle@web.de>2019-08-02 21:07:03 +0000
committerRené de Hesselle <dehesselle@web.de>2019-08-02 21:07:03 +0000
commit3e409fbb314467423dec2f0cf7e40d43263d7b6f (patch)
tree1e061416dbf2f22f206cd3fdc4840b7c05ed625f /packaging
parentAvoid implicit charset conversion when using stream output operator (diff)
downloadinkscape-3e409fbb314467423dec2f0cf7e40d43263d7b6f.tar.gz
inkscape-3e409fbb314467423dec2f0cf7e40d43263d7b6f.zip
Restart gtk-mac-bundler up to 5 times
This is an attempt to work around the current issue with gtk-mac-bundler failing. The issue itself hasn't been found and hasn't occured on my testing setup or on a second runner that is equal to the production runner.
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macos/220-inkscape-package.sh26
1 files changed, 24 insertions, 2 deletions
diff --git a/packaging/macos/220-inkscape-package.sh b/packaging/macos/220-inkscape-package.sh
index 83a01d9af..1f60e7352 100755
--- a/packaging/macos/220-inkscape-package.sh
+++ b/packaging/macos/220-inkscape-package.sh
@@ -28,9 +28,31 @@ mkdir -p $ARTIFACT_DIR
cp $SRC_DIR/gtk-mac-bundler*/examples/gtk3-launcher.sh $BUILD_DIR
cp $SELF_DIR/inkscape.bundle $BUILD_DIR
cp $SELF_DIR/inkscape.plist $BUILD_DIR
-
cd $BUILD_DIR
- jhbuild run gtk-mac-bundler inkscape.bundle
+
+ # FIXME: I don't like this at all! This is a temporary workaround, retrying
+ # the bundling if it fails up to 5 times.
+
+ set +e
+ RESTART=0
+ while [ $RESTART -lt 6 ]; do
+ jhbuild run gtk-mac-bundler inkscape.bundle
+ RC=$?
+ if [ $RC -eq 0 ]; then
+ break
+ else
+ ((RESTART++))
+ SECONDS=$((RESTART*10))
+ echo "Bundling failed. Restarting in $SECONDS seconds."
+ sleep $SECONDS
+ fi
+ done
+ set -e
+
+ if [ $RC -ne 0 ]; then
+ echo "--- FATAL --- Bundling failed."
+ exit $RC
+ fi
)
# patch library locations